import {inject, Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {Observable} from "rxjs";
import {Employee} from "../Employee";
import {Qualification} from "../Qualification";


@Injectable({
  providedIn: 'root'
})
export default class QualificationService {
  private http: HttpClient = inject(HttpClient);

  private static readonly BASE_URL = 'http://localhost:8089';

  public getAll(): Observable<Qualification[]> {
    return this.http.get<Qualification[]>(`${QualificationService.BASE_URL}/qualifications`)
  }
}
